Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.admin.jmx
Class JmxPreparedTransaction

    java.lang.Object
      com.atomikos.icatch.admin.jmx.JmxTransaction
          com.atomikos.icatch.admin.jmx.JmxPreparedTransaction

All Implemented Interfaces:
  JmxPreparedTransactionMBean, JmxTransactionMBean, MBeanRegistration

    public class JmxPreparedTransaction

extends JmxTransaction
implements JmxPreparedTransactionMBean

An MBean wrapper for a prepared AdminTransaction.

Constructor Summary
`JmxPreparedTransaction(AdminTransaction adminTransaction)`

Method Summary
`void` | `forceCommit()` Forces commit of the transaction.
`void` | `forceRollback()` Forces rollback of the transaction.

Methods inherited from class com.atomikos.icatch.admin.jmx.JmxTransaction
`convertHeuristicMessages, convertState, getAdminTransaction, getHeuristicMessages, getState, getTags, getTid, postDeregister, postRegister, preDeregister, preRegister, unregister`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atomikos.icatch.admin.jmx.JmxTransactionMBean
`getHeuristicMessages, getState, getTags, getTid`

Constructor Detail

### JmxPreparedTransaction

    public JmxPreparedTransaction(AdminTransaction adminTransaction)

Parameters:
  `adminTransaction` - The wrapped instance.

Method Detail

### forceCommit

    public void forceCommit()
                     throws HeurRollbackException,
                            HeurHazardException,
                            HeurMixedException,
                            SysException

  Description copied from interface: `JmxPreparedTransactionMBean`
  Forces commit of the transaction.

  Specified by:
    `forceCommit` in interface `JmxPreparedTransactionMBean`
  Throws:
    `HeurRollbackException`
    `HeurHazardException`
    `HeurMixedException`
    `SysException`
  See Also:
    `com.atomikos.icatch.admin.jmx.PreparedTransactionMBean#forceCommit()`

### forceRollback

    public void forceRollback()
                       throws HeurCommitException,
                              HeurHazardException,
                              HeurMixedException,
                              SysException

  Description copied from interface: `JmxPreparedTransactionMBean`
  Forces rollback of the transaction.

  Specified by:
    `forceRollback` in interface `JmxPreparedTransactionMBean`
  Throws:
    `HeurCommitException`
    `HeurHazardException`
    `HeurMixedException`
    `SysException`
  See Also:
    `com.atomikos.icatch.admin.jmx.PreparedTransactionMBean#forceRollback()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.